<div class="col-md-12"> 
    <div class="row mt-4">
        <div class="col-12">
            <div class="card shadow-lg">
                <%= image_tag("pattern-left.png", class: "position-absolute overflow-hidden opacity-4 start-0 top-0 h-100 border-radius-xl")%>
                <%= image_tag("pattern-right.png", class: "position-absolute overflow-hidden opacity-4 end-0 top-0 h-100 border-radius-xl")%>
                    <div class="card-body px-5 z-index-1 bg-cover">
                        <div class="row">
                            <div class="col-lg-4 col-12 my-auto">
                                <h4 class="text-body opacity-9 text-center">Welcome to FEMAC</h4>
                                <hr class="horizontal light mt-1 mb-3">
                                    <div class="d-flex justify-content-center">
                                        <div>
                                            <h6 class="mb-0 text-body opacity-7">Here you have the upcomming events for the next</h6>
                                            <h3 class="text-body">7 <small class="text-sm align-top">days</small></h3>
                                        </div>

                                    </div>
                            </div>
                            <div class="col-lg-4 col-12 text-center">
                                <%= image_tag("logofemac.jpg", class: "w-45")%>

                                <div class="d-flex align-items-center">
                                    <h4 class="text-body opacity-7 ms-0 ms-md-auto">Upcomming events</h4>
                                        <h2 class="text-body ms-2 me-auto"><%=@total_events%></h2>
                                </div>
                            </div>
                            <div class="col-lg-4 col-12 my-auto">
                                <%if !next_event.nil?%>
                                    <h4 class="text-body opacity-9">Next event starts in</h4>
                                    <hr class="horizontal light mt-1 mb-3">
                                    <div class="d-flex align-items-center">
                                        <div>                                            
                                            <%seconds_until_target_time = next_event.try(:target).to_i -  DateTime.new(Date.today.year,Date.today.month, Date.today.day, Time.now.hour, Time.now.min, Time.now.sec, Rational(-6, 24)).to_i%>
                                            <%= content_tag(:h4, "", data: {
                                                controller: "countdown",
                                                countdown_target: "next_event",
                                                seconds_until_end_value: seconds_until_target_time
                                                
                                            }, class: "text-primary")%>

                                            <h6 class="mb-0 text-body"><%=next_event.try(:name).try(:titleize)%>&nbsp;<%=next_event.try(:level)%></h6>
                                            <% if !next_event.nil? %>
                                                <%= link_to(new_match_player_path(next_event), class:"btn bg-gradient-info ms-auto") do%>
                                                    <i class="bi bi-person-plus-fill"></i>&nbsp;&nbsp; Enroll now!
                                                <%end%>
                                            <%end%>
                                        </div>                                        
                                    </div>
                                <%end%>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>



    <div class="col-md-12">
        <br>
    </div>

    <div class="row">
        <div class="col-12">
          <div class="card mb-4">
            <div class="d-flex px-2 py-1">
            </div>
            <div class="card-body px-0 pt-0 pb-2">          
                <ul class="nav nav-tabs">
                <!-- We loop throughout the number of generated rounds
                events_by_date.each_pair{|day, events|  events.each{|event| puts "Day->#{day.day}--- #{event.name}"  }   }
                each_with_index
                -->
                <%  @events.each_with_index do |events_by_day, i| %>
                    <li class="<%= i == (@round.to_i - 1) ? ("active"):("") %>">
                    <li class="nav-item" role = "presentation">
                    <button class="nav-link <%= i == (@round.to_i - 1) ? ("active"):("") %>" 
                    id="tab-<%=i%>" data-bs-toggle="tab" data-bs-target="#tab-<%=i%>-pane" type="button" 
                    role="tab" aria-controls="tab-<%=i%>-pane" 
                    aria-selected="true"><%=events_by_day[0].strftime("%A %d, %B %Y")%></button>
                <%end%>                
                </ul>
                <div class="d-flex px-2 py-1">
                </div>
                <div class="tab-content" id="myTabContent">
                <%  @events.each_with_index do |events_by_day, i| %>
                    <div class="tab-pane fade <%= i == (@round.to_i - 1) ? ("show active"):("") %> " id="tab-<%=i%>-pane" 
                    role="tabpanel" aria-labelledby="tab-<%=i%>" tabindex="0">
                        <div class="panel-body" id= "pn-tab-<%=i%>">
                            <div class="card-header pb-0">
                                <div class="d-flex align-items-center">                                
                                </div>
                            </div>
                            <div class="container" id="container-pb-<%=i%>">                                
                                <div class="row mt-2">
                                    <%  events_by_day[1].sort_by{|e| e.timeIni}.each_with_index do |event, i| %>                                                                    
                                        <div class="col-lg-3 col-md-6 col-12">
                                            <div class="card <%=(event.match_player.count < event.people) ? ("bg-success"):("bg-danger") %> card-gradient" >
                                                <div class="card-body p-3">
                                                    <div class="row">
                                                        <div class="col-10">
                                                            <div class="numbers">
                                                                <p class="text-white text-sm mb-0 text-uppercase font-weight-bold opacity-7">Schedulled at: <%= event.timeIni.strftime("%H:%M")%> - <%= event.timeEnd.strftime("%H:%M")%></p>
                                                                <p class="text-white text-sm mb-0 text-uppercase font-weight-bold"><%=event.name.titleize%></p>
                                                                <h5 class="text-white font-weight-bolder mb-0"><%=event.level%> Category</h5>
                                                                <hr class="horizontal light mt-1 mb-3">
                                                                <%if event.match_player.count < event.people%>
                                                                    <h4 class="text-white font-weight-bolder mb-0"><%=event.people - event.match_player.count%> seats</h4>
                                                                    <p class="text-white text-sm mb-0 text-uppercase font-weight-bold opacity-7">Available</p>
                                                                <%else%>
                                                                    <h4 class="text-white font-weight-bolder mb-0">Event is full</h4>
                                                                    <p class="text-white text-sm mb-0 text-uppercase font-weight-bold opacity-7">&nbsp;</p>                                           
                                                                <%end%>
                                                            </div>
                                                            
                                                        </div>
                                                        
                                                    </div>
                                                    <br>
                                                    <div class="row">
                                                        <div class="col-10">
                                                            <%if event.match_player.count < event.people%>
                                                                <%= link_to(new_match_player_path(event), class:"btn bg-gradient-info ms-auto") do%>
                                                                    <i class="bi bi-person-plus-fill"></i>&nbsp;&nbsp; Enroll now! 
                                                                <%end%>
                                                            <%else%>
                                                                <%= link_to(new_match_player_path(event), class:"btn bg-gradient-info ms-auto") do%>
                                                                    <i class="bi bi-person-plus-fill"></i>&nbsp;&nbsp; Enroll & wait! 
                                                                <%end%>
                                                            <%end%>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    <%end%>
                                </div>
                            </div>                                
                        </div>
                    </div>                            
                <%end%>                                
            </div>
            <div class="d-flex px-2 py-1">
                <br>
            </div>
        </div>
    </div>
</div>
